This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 807316 - Bootstrap.bootstrap() from juh.jar doesn't work properly any more
Bootstrap.bootstrap() from juh.jar doesn't work properly any more
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 09:44 EDT by Mary Ellen Foster
Modified: 2012-04-11 13:07 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.4.5.2-10.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-10 23:53:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Java test program to trigger the bug (1.20 KB, text/x-java)
2012-03-27 09:45 EDT, Mary Ellen Foster
no flags Details

  None (edit)
Description Mary Ellen Foster 2012-03-27 09:44:09 EDT
Description of problem:
Since the latest F16 update to libreoffice, you can no longer programatically control things through the com.sun.star.comp.helper.Bootstrap class in 
/usr/lib64/libreoffice/ure/share/java/juh.jar

The problem seems to be that Bootstrap includes a number of command-line options to ooffice, which produce the following series of warnings and one error:

CE> Warning: -nologo is deprecated.  Use --nologo instead.
CE> Warning: -nodefault is deprecated.  Use --nodefault instead.
CE> Warning: -norestore is deprecated.  Use --norestore instead.
CE> Warning: -nolockcheck is deprecated.  Use --nolockcheck instead.
CE> Warning: -accept=pipe,name=uno4377571654706408244;urp; is deprecated.  Use --accept=pipe,name=uno4377571654706408244;urp; instead.
CO> Unknown option -nocrashreport
CO> Run 'soffice --help' to see a full list of available command line options.

After the "Unknown option -nocrashreport", ooffice exits without setting up the connection.

This definitely works with libreoffice-3.4.3.2-11, and I suspect it probably even worked with some of the earlier 3.4.5-* versions (can't test though).

Version-Release number of selected component (if applicable):
libreoffice-3.4.5.2-8.fc16.src.rpm

How reproducible:
Every time

Steps to Reproduce:
1. Run the attached Java program (with ooffice running or not)
  
Actual results:
Error messages as above, and program hangs indefinitely

Expected results:
Connection established

Additional info:
Comment 1 Mary Ellen Foster 2012-03-27 09:45:10 EDT
Created attachment 573071 [details]
Java test program to trigger the bug
Comment 2 Caolan McNamara 2012-03-27 10:13:18 EDT
hmm, nocrashreport needs to be added to the known options I guess
Comment 3 Caolan McNamara 2012-03-27 10:29:38 EDT
Will be fixed in >= libreoffice-3.4.5.2-10.fc16

You can drop nocrashreport from your code FWIW in the meantime it doesn't do anything anyway as the crash reporter isn't built (we just rely on abrt)
Comment 4 Mary Ellen Foster 2012-03-27 10:34:28 EDT
Thanks for the extremely quick response!

Just to note, though, "-nocrashreport" isn't in my code; it's automatically added if you do Bootstrap.bootstrap() (using the jar file provided with LibreOffice) and you can't edit the command line options.
Comment 5 Stephan Bergmann 2012-03-27 11:52:36 EDT
(In reply to comment #4)
> Just to note, though, "-nocrashreport" isn't in my code; it's automatically
> added if you do Bootstrap.bootstrap() (using the jar file provided with
> LibreOffice) and you can't edit the command line options.

Yes.  And within LibreOffice, --nocrashreport is handled directly down in sal/osl/{unx/signal.c,w32/signal.cxx}, so <http://cgit.freedesktop.org/libreoffice/core/commit/?id=4efbd87e31e7488dfcdd1d07ff979f1f59b8b1f1> "Resolves: rhbz#800272 complain about unknown command-line options" should -- non-obviously -- not have complained about it.
Comment 6 Fedora Update System 2012-03-29 09:20:08 EDT
libreoffice-3.4.5.2-10.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libreoffice-3.4.5.2-10.fc16
Comment 7 Fedora Update System 2012-03-30 23:18:33 EDT
Package libreoffice-3.4.5.2-10.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.4.5.2-10.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5070/libreoffice-3.4.5.2-10.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-04-10 23:53:08 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-11 13:07:48 EDT
libreoffice-3.4.5.2-10.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.